<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.remoting.http-connector">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="authentication-provider,connector-ref,sasl-authentication-factory,sasl-protocol,security-realm,server-name"/>
        <elem name="addr-params" value="profile,subsystem,http-connector"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.remoting"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.remoting.connector.$http-connector"/>
        <capability name="$profile.org.wildfly.remoting.http-connector.$http-connector"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.sasl-authentication-factory.$sasl-authentication-factory" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.remoting"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="http-connector" feature-id="true"/>
        <param name="connector-ref"/>
        <param name="server-name" nillable="true"/>
        <param name="sasl-authentication-factory" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="authentication-provider" nillable="true"/>
        <param name="subsystem" feature-id="true" default="remoting"/>
        <param name="security-realm" nillable="true"/>
        <param name="sasl-protocol" nillable="true"/>
    </params>
    <packages>
        <package name="io.undertow.core"/>
    </packages>
</feature-spec>